[Prev: PERLINC] | [Resources][TOC] | [Next: PREVBUTTON]

# POSIXSTRFTIME

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_POSIXSTRFTIME=`[ `0` | `1` ]

Element

  `<POSIXSTRFTIME>`
  `<NOPOSIXSTRFTIME>`

Command-line Option

  `-posixstrftime`
  `-noposixstrftime`

## Description

If POSIXSTRFTIME is set, then `POSIX::strftime()` is used to process time format strings as defined by the GMTDATEFMT, LOCALDATEFMT, MSGGMTDATEFMT, and MSGLOCALDATEFMT resources. If `POSIX::strftime()` is used, the resources MONTHS, MONTHSABR, WEEKDAYS, and WEEKDAYSABR will have no effect. Month names and weekday names will be determined by your systems locale. See your system's manual page on `strftime()` for more information.

If not set (the default), time format strings are processed by MHonArc specific code. A reason to activate POSIXSTRFTIME is if your system's `strftime()` supports conversion specifications you require which are not supported by MHonArc.

## Default Setting

Off.

## Resource Variables

N/A

## Examples

None.

## Version

2.4.3

## See Also

GMTDATEFMT, LANG, LOCALDATEFMT, MSGGMTDATEFMT, MSGLOCALDATEFMT

[Prev: PERLINC] | [Resources][TOC] | [Next: PREVBUTTON]